Bug 207235 - Intel HD audio (snd_hda_intel) prevents power off after shutdown
Intel HD audio (snd_hda_intel) prevents power off after shutdown
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-19 23:54 EDT by Keith G. Robertson-Turner
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.20-1.2307.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-25 19:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith G. Robertson-Turner 2006-09-19 23:54:02 EDT
Description of problem:
I could not get my system to power off after shutdown, unless I only booted to
runlevel 3.

At runlevel 5 the following process is launched, with the owner set to the user
logged in to the X session:

dbus-daemon --fork --print-pid 8 --print-address 6 --session

Manually killing that process before attempting a shutdown, results in a
successful power off (acpi_power_off).

Version-Release number of selected component (if applicable):
dbus-0.61-3.fc5.1

How reproducible:
Always

Steps to Reproduce:
1. Start system (kernel-smp-2.6.17-1.2187_FC5)
2. Enter runlevel 5
3. Call "shutdown -h now" or poweroff, from shell or GUI
  
Actual results:
System shuts down as far as "Called acpi_power_off", but does not actually
switch off.

Expected results:
System should shut down cleanly.

Additional info:
AFAICT there are no error messages relating to this in any log files, nor
printed to the console. Also, I have been experiencing this problem with pretty
much every kernel release in FC5 (except the original release).
Comment 1 Keith G. Robertson-Turner 2006-10-07 15:29:01 EDT
Note that I have since discovered that killing dbus doesn't always result in a
successful acpi_power_off.

I found this thread, which suggests it may be to do with the Intel HD audio
driver module (snd_hda_intel) and thus related to dbus vie esd perhaps:

http://tinyurl.com/zf48z (linuxpackages.net/forum)

The OP in that thread has virtually identical hardware to me, which leads me to
conclude that this is a good verification of my problem.

I can confirm that rmmod'ing the above module does facilitate a successful
acpi_power_off.

So this is a kernel issue with the snd_hda_intel module, linked to dbus via the
sound server (ESD in my case). Although I should add that I currently have not
enabled ESD, yet the problem persists,
Comment 2 David Eisenstein 2006-10-11 17:10:23 EDT
Found this bug perusing dbus issues for FC5.  An interesting aside:  I
do not have this issue.

Booting automatically loads modules snd_hda_intel and snd_hda_codec,
along with the host of sound modules they're dependent upon.

kernel:    kernel-2.6.16-1.2133_FC5  (06-June-2006)
dbus:      dbus-0.61-3.fc5.1         (05-May-2006)

Shutting down always turns off the system's power.

My motherboard has the Intel High Definition Audio (hda) built into its
chipset.  It is a FoxConn 945P7AA-8EKRS2, using a single processor
(from dmesg, "CPU: Intel(R) Celeron(R) CPU 2.80GHz stepping 09"), and
has an Intel 945P Northbridge and an ICH7R Southbridge.  The sound chip
(not thoroughly documented by any means in the motherboard's accompany-
ing literature) I believe is a Realtek ALC880.

Keith, do you think this is a "dbus" bug or a kernel bug?
Comment 3 Keith G. Robertson-Turner 2006-10-12 12:33:51 EDT
I'd guess it's the kernel driver.

It's my understanding that if any hardware (or it's driver) does not react
appropriately to ACPI calls, then you'll have problems shutting down. The fact
that this *used* to work with an earlier incarnation of the kernel, suggests
that the intel_hda driver has changed in some way that breaks that ACPI conformance.

Then again, without any clues from the syslog, it's difficult to be sure.

I guess I'd need to recompile the kernel, and turn on verbose debugging.
Comment 4 Keith G. Robertson-Turner 2006-10-12 12:42:31 EDT
I'm changing the component scope to "kernel" since it seems more likely. I hope
that doesn't upset the assignee :)
Comment 5 David Eisenstein 2006-10-12 19:28:02 EDT
Reassigning bug to correct maintainer for kernel component.
Comment 6 Dave Jones 2006-10-16 17:00:51 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Keith G. Robertson-Turner 2007-03-24 14:09:09 EDT
This issue has been resolved by a new kernel release.

Please close this bug.

Note You need to log in before you can comment on or make changes to this bug.